package com.lightinit.hsdataportal.common;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * Created by Mr.Yao on 2017/12/13.
 */
@Component
public class FTPConfigurationUtilsPro {

    @Value("${ftp.deploy.host}")
    private String deploy_host;
    @Value("${ftp.deploy.port}")
    private int deploy_port;
    @Value("${ftp.deploy.username}")
    private String deploy_username;
    @Value("${ftp.deploy.password}")
    private String deploy_password;

    public String getDeploy_host() {
        return deploy_host;
    }

    public void setDeploy_host(String deploy_host) {
        this.deploy_host = deploy_host;
    }

    public int getDeploy_port() {
        return deploy_port;
    }

    public void setDeploy_port(int deploy_port) {
        this.deploy_port = deploy_port;
    }

    public String getDeploy_username() {
        return deploy_username;
    }

    public void setDeploy_username(String deploy_username) {
        this.deploy_username = deploy_username;
    }

    public String getDeploy_password() {
        return deploy_password;
    }

    public void setDeploy_password(String deploy_password) {
        this.deploy_password = deploy_password;
    }

    @Value("${ftp.apk.host}")
    private String apk_host;
    @Value("${ftp.apk.port}")
    private int apk_port;
    @Value("${ftp.apk.username}")
    private String apk_username;
    @Value("${ftp.apk.password}")
    private String apk_password;

    public String getApk_host() {
        return apk_host;
    }

    public void setApk_host(String apk_host) {
        this.apk_host = apk_host;
    }

    public int getApk_port() {
        return apk_port;
    }

    public void setApk_port(int apk_port) {
        this.apk_port = apk_port;
    }

    public String getApk_username() {
        return apk_username;
    }

    public void setApk_username(String apk_username) {
        this.apk_username = apk_username;
    }

    public String getApk_password() {
        return apk_password;
    }

    public void setApk_password(String apk_password) {
        this.apk_password = apk_password;
    }
}
